<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

/**
 * Description of errorhandler
 *
 * @author hampel_ma
 */
class errorexceptionhandler
{

  public function getError($_errno, $_errstr, $_errfile, $_errline)
  {
    $priority = unserialize(PRIORITY);

    if (in_array($_errno, $priority))
    {
      $this->saveToSyslog($priority[$_errno],'ERROR: '.$_errstr . ' --- ' . $_errfile . ' --- Line: ' . $_errline);
    }
    else
    {
      $this->saveToSyslog(LOG_ERR, 'ERROR: '.$_errstr . ' --- ' . $_errfile . ' --- Line: ' . $_errline);
    }
    http_response_code(500);
  }

  public function getException($_exception)
  {
    $this->saveToSyslog(LOG_WARNING, 'EXCEPTION: ' . $_exception->getMessage() . ' --- ' . $_exception->getFile() . ' --- Line: ' . $_exception->getLine());
  }

  private function saveToSyslog($_eventtype, $_message)
  {
    syslog($_eventtype, $_message);
  }

}
