#!/bin/sh

# define environment variables for DUA_PARAM_xx (hex), UT_xx, UE_xx
# setUTUE.sh has been created on host by (cd tools/dua && source mkSetUTUE)

source /css/setUTUE.sh

echo " "
echo "--------------- dua_init -------"

app_dsp &

sleep 3

dua << dua_allo_idle
    allocate
                $UT_WBHF
                $DUA_ANY
    set
                $UT_WBHF,0
                $DUA_ANY
                $DUA_PARAM_UMT_EXEC_GEN
                0

    allocate
                $UT_PCMHD
                $DUA_ANY
    set
                $UT_PCMHD,0
                $DUA_ANY
                $DUA_PARAM_UMT_EXEC_GEN
                0

    allocate    {UT_PCMFD,0}
                $UT_PCMFD
                $DUA_ANY
    set
                $UT_PCMFD,0
                $DUA_ANY
                $DUA_PARAM_UMT_EXEC_GEN
                0

    allocate
                $UT_TRACE
                $DUA_ANY
    set
                $UT_TRACE,0
                $DUA_ANY
                $DUA_PARAM_UMT_EXEC_GEN
                0

    allocate
                $UT_ATU
                $DUA_ANY
    set
                $UT_ATU,0
                $DUA_ANY
                $DUA_PARAM_UMT_EXEC_GEN
                0

    quit
dua_allo_idle

if [[ "$1" == "msf" && "$UT_WBHF_MODE_HANDSET" != "" ]]; then

    daif write 106 0x001F
    daif write 132 0x5DA4

    dua << dua_init_msf
    allocate
        $UT_MIDI
        $DUA_ANY
    set
        $UT_MIDI,0
        $DUA_ANY
        $DUA_PARAM_UMT_EXEC_GEN
        0
    set
        $UT_WBHF,0
        $DUA_ANY
        $DUA_PARAM_UMT_EXEC_GEN
        $UT_WBHF_MODE_HANDSET # WBHF modes: HANDSET = $UT_WBHF_MODE_HANDSET;  DCLASS = $UT_WBHF_MODE_D_CLASS
    set
        $UT_MIDI,0
        $DUA_ANY
        $DUA_PARAM_UMT_EXEC_GEN
        1
    set
        $UT_MIDI,0
        $UE_ACL
        904C    # DSPA_ADDR_OFFS_ACL_VOL
        2000    # +12dB

    onnect  # assume connection 0 is created
        $UT_MIDI,0
        $DUA_UNDEF
    onnect
        $UT_WBHF,0
        0
        quit
dua_init_msf
fi
