#!/bin/sh
### BEGIN INIT INFO
# Provides:          maxwell-uptime.sh
# Required-Start:
# Required-Stop:     maxwell-uptime
# Should-Stop:       $network $portmap
# Default-Start:
# Default-Stop:      6
# Short-Description: Store uptime before system reboot
### END INIT INFO

PATH=/sbin:/bin:/usr/sbin:/usr/bin

# Store uptime before reboot the device
UPTIME=$(cat /proc/uptime | awk '{print int($1)}')
echo "Current uptime is: $UPTIME"
echo $UPTIME > /config/uptime
