#!/bin/sh

### BEGIN INIT INFO
# Provides:          maxwell_splashscreen
# Required-Start:
# Required-Stop:
# Default-Start:     S
# Default-Stop:
# Short-Description: Starts maxwell splashscreen
# Description:
### END INIT INFO

. /etc/init.d/init-functions

board=`cat /proc/device-tree/model | cut -d" " -f3,4`

if [ "$board" == "Maxwell 3" ]; then
    /usr/sbin/splashscreen --reason boot --model three -nomouse -qws &
else
    /usr/sbin/splashscreen --reason boot --model basic -nomouse -qws &
fi