#!/bin/bash
# Copyright 2015 Gigaset Communications GmbH

# this script is invoked by ifplugd to nottify SysConf about plugged/unplugged LAN cable to 'lan' port
# notification is done using NVM state mechanism, using propcli tool
# first parameter: interface
# second parameter: status up/down

LAN_INTERFACE=$1
INTERFACE_STATUS=$2
MESSAGE=${LAN_INTERFACE}_${INTERFACE_STATUS}

propcli set "State.NetworkInterface.Status.Lan" "$MESSAGE" &> /dev/null
RETURN_COEDE=$?
if [ ${RETURN_CODE} -ne 0 ]; then
    exit 255
else
    exit 0
fi
