<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

/**
 * Description of Filemanager
 *
 * @author Maciek
 */
class filemanager
{
  
  public function uploadFile($_files, $_fileoperations=null, $_filters = array(), $_destination = array(), &$_filename)
  {
    if(isset($_fileoperations))
    {
     $_files= call_user_func_array($_fileoperations,array($_files,$_destination));
    }
    $upload = new upload($_files);
    return $upload->prepareuploadFile($_filters, $_destination, $_filename);
  }

  public function uploadFirmwareUpdate($_files, $_destination,&$_filename)
  {
    $upload = new upload($_files);
    return $upload->uploadFirmwareUpdate($_destination,$_filename);
  }

  public function downloadFile($_file)
  {
    $download = new download();
    return $download->DownloadFileOnPC($_file);
  }

  public function downloadFileFromServer($_server, $_destinationPath, $_destinationFilename)
  {
    $download = new download();
    $result = false;
    if ($download->DownloadFileFromServer($_server, $_destinationPath, $_destinationFilename) == true)
    {
      $result = true;
    }
    return $result;
  }

  public function clearDir($_dir)
  {
    try
    {
      foreach (new RecursiveIteratorIterator(
      new RecursiveDirectoryIterator($_dir . DIRECTORY_SEPARATOR, FilesystemIterator::SKIP_DOTS | FilesystemIterator::UNIX_PATHS), RecursiveIteratorIterator::CHILD_FIRST) as $value)
      {
        $value->isFile() ? unlink($value) : rmdir($value);
      }
      return true;
    }
    catch (Exception $ex)
    {
      return false;
    }
  }

  public function checkFileCount($_path)
  {
    $filescount = 1;

    $iter = new DirectoryIterator($_path);
    foreach ($iter as $file)
    {
      if ($file->isFile())
      {
        $filescount++;
      }
    }



    return $filescount;
  }

  public function availableStorageSize($_path, $_maxsize)
  {
    $foldersize = 0; //VALUE IN BYTES

    $iter = new DirectoryIterator($_path);
    foreach ($iter as $file)
    {
      if ($file->isFile())
      {
        $foldersize+=$file->getSize();
      }
    }
    return intval($_maxsize - $foldersize);
  }

  public function sumFilesSize($_files)
  {
    $filesize = 0;
    foreach ($_files as $value)
    {

      $filesize+=$value['size'];
    }
    return $filesize;
  }

  public function downloadTextFile($_file)
  {
    $download = new download();
    return $download->DownloadTextFileOnPC($_file);
  }

}
