<?php

class senddatatoserver
{

  private $username = FTPLOGIN;
  private $password = FTPPASS;
  private $conn = null;
  private $localfile;
  private $host = false;
  private $port = false;

  private function ConnectController($_server, $_port, $_usenvm)
  {
    $this->conn = curl_init();
    if ($_usenvm)
    {
      return $this->ConnectDataFromNVM($_server, $_port);
    }
    else
    {
      return $this->ConnectData($_server, $_port);
    }
  }

  private function ConnectData($_server, $_port)
  {
    $this->host = $_server;
    $this->port = $_port;

    if ($this->host != false && $this->port != false && isset($this->conn))
    {
      return true;
    }
    else
    {
      return false;
    }
  }

  private function ConnectDataFromNVM($_server, $_port)
  {
    $nvm = NVM::GetInstance();
    $ser = $nvm->GetValueFromNVM('getV', $_server);
    $port = $nvm->GetValueFromNVM('getV', $_port);

    return $this->Connect($ser, $port);
  }

  private function GetLocalFile($_file)
  {
    if (file_exists($_file))
    {
      if ($fp = fopen($_file, 'r'))
      {
        $this->localfile = $fp;
        return true;
      }
    }
    else
    {
      return false;
    }
  }

  public function SendDataFTP($_server, $_port, $_filelocal, $_fileremote, $_usenvmdata = false)
  {

    if ($this->ConnectController($_server, $_port, $_usenvmdata) != false)
    {

      if ($this->GetLocalFile($_filelocal))
      {

        curl_setopt($this->conn, CURLOPT_URL, $this->host . DIRECTORY_SEPARATOR . $_fileremote);
        curl_setopt($this->conn, CURLOPT_USERPWD, $this->username . ":" . $this->password);
        curl_setopt($this->conn, CURLOPT_PORT, $this->port);
        curl_setopt($this->conn, CURLOPT_UPLOAD, 1);
        curl_setopt($this->conn, CURLOPT_INFILE, $this->localfile);
        curl_setopt($this->conn, CURLOPT_INFILESIZE, filesize($_filelocal));
        curl_exec($this->conn);
        $error_no = curl_errno($this->conn);
        curl_close($this->conn);
        if ($error_no == 0)
        {
          return true;
        }
        else
        {
          return false;
        }
      }
      else
      {
        return false;
      }
    }
    else
    {
      return false;
    }
  }

}
